import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-27 11:29
 */
export interface BusCarPart{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 
    * @type { string }
    */
    lotId?: string;
    /**
    * 出场图片
    * @type { string }
    */
    outCarImage?: string;
    /**
    * 进场图片
    * @type { string }
    */
    inCarImage?: string;
    /**
    * 
    * @type { string }
    */
    carImage?: string;
    /**
    * 
    * @type { string }
    */
    comeTime?: string;
    /**
    * 
    * @type { string }
    */
    outTime?: string;
    /**
    * 停车时长
    * @type { number }
    */
    elapsedTime?: number;
    /**
    * 
    * @type { boolean }
    */
    isCorrect?: boolean;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    carPlateNumSuffix?: string;
    /**
    * 入口点
    * @type { string }
    */
    inNode?: string;
    /**
    * 入场区域
    * @type { string }
    */
    inIsArea?: string;
    /**
    * 相机ID
    * @type { number }
    */
    inCameraId?: number;
    /**
    * 车场ID
    * @type { number }
    */
    clientId?: number;
    /**
    * 车牌颜色
    * @type { string }
    */
    plateColor?: string;
    /**
    * 0 临时车;1 VIP车;2 月租车;3 充值车;4 时租车;5 产权车;6 计次车;7 贵宾卡;8 员工卡;9 大客车;100 预约车
    * @type { number }
    */
    isFixedCar?: number;
    /**
    * 是否车牌修改
    * @type { boolean }
    */
    modifyLpn?: boolean;
    /**
    * 入场车牌识别可信度
    * @type { number }
    */
    inRecognitioncredibility?: number;
    /**
    * 出口点
    * @type { string }
    */
    outNode?: string;
    /**
    * 出场区域
    * @type { string }
    */
    outIsArea?: string;
    /**
    * 支付类型
    * @type { string }
    */
    payType?: string;
    /**
    * 支付金额
    * @type { number }
    */
    totalFee?: number;
    /**
    * 
    * @type { number }
    */
    totalMoney?: number;
    /**
    * 出场车牌识别可信度
    * @type { number }
    */
    outRecognitioncredibility?: number;
    /**
    * 入场车牌类型
    * @type { number }
    */
    inLpnType?: number;
    /**
    * 出场车牌类型
    * @type { number }
    */
    outLpnType?: number;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 入场放行原因
    * @type { string }
    */
    inReason?: string;
    /**
    * 出场放行原因
    * @type { string }
    */
    outReason?: string;
    /**
    * 入场图片
    * @type { string }
    */
    inPicture?: string;
    /**
    * 出场图片
    * @type { string }
    */
    outPicture?: string;
    /**
    * 预留字段1
    * @type { string }
    */
    param1?: string;
    /**
    * 
    * @type { string }
    */
    param2?: string;
    /**
    * 
    * @type { string }
    */
    param3?: string;
    /**
    * 
    * @type { string }
    */
    param4?: string;
    /**
    * 
    * @type { number }
    */
    freeTime?: number;
    /**
    * 抵扣金额（单位分）
    * @type { number }
    */
    freeMoney?: number;
    /**
    * 
    * @type { string }
    */
    comeAttributes?: string;
    /**
    * 
    * @type { string }
    */
    outAttributes?: string;
    /**
    * 相机ID
    * @type { number }
    */
    outCameraId?: number;
}
export class BusCarPartMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get CAR_PLATE_NUM(): FieldInfo{  
        return new FieldInfo('carPlateNum','');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','');
    }
    static get OUT_CAR_IMAGE(): FieldInfo{  
        return new FieldInfo('outCarImage','出场图片');
    }
    static get IN_CAR_IMAGE(): FieldInfo{  
        return new FieldInfo('inCarImage','进场图片');
    }
    static get CAR_IMAGE(): FieldInfo{  
        return new FieldInfo('carImage','');
    }
    static get COME_TIME(): FieldInfo{  
        return new FieldInfo('comeTime','');
    }
    static get OUT_TIME(): FieldInfo{  
        return new FieldInfo('outTime','');
    }
    static get ELAPSED_TIME(): FieldInfo{  
        return new FieldInfo('elapsedTime','停车时长');
    }
    static get IS_CORRECT(): FieldInfo{  
        return new FieldInfo('isCorrect','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get CAR_PLATE_NUM_SUFFIX(): FieldInfo{  
        return new FieldInfo('carPlateNumSuffix','');
    }
    static get IN_NODE(): FieldInfo{  
        return new FieldInfo('inNode','入口点');
    }
    static get IN_IS_AREA(): FieldInfo{  
        return new FieldInfo('inIsArea','入场区域');
    }
    static get IN_CAMERA_ID(): FieldInfo{  
        return new FieldInfo('inCameraId','相机ID');
    }
    static get CLIENT_ID(): FieldInfo{  
        return new FieldInfo('clientId','车场ID');
    }
    static get PLATE_COLOR(): FieldInfo{  
        return new FieldInfo('plateColor','车牌颜色');
    }
    static get IS_FIXED_CAR(): FieldInfo{  
        return new FieldInfo('isFixedCar','0 临时车;1 VIP车;2 月租车;3 充值车;4 时租车;5 产权车;6 计次车;7 贵宾卡;8');
    }
    static get MODIFY_LPN(): FieldInfo{  
        return new FieldInfo('modifyLpn','是否车牌修改');
    }
    static get IN_RECOGNITIONCREDIBILITY(): FieldInfo{  
        return new FieldInfo('inRecognitioncredibility','入场车牌识别可信度');
    }
    static get OUT_NODE(): FieldInfo{  
        return new FieldInfo('outNode','出口点');
    }
    static get OUT_IS_AREA(): FieldInfo{  
        return new FieldInfo('outIsArea','出场区域');
    }
    static get PAY_TYPE(): FieldInfo{  
        return new FieldInfo('payType','支付类型');
    }
    static get TOTAL_FEE(): FieldInfo{  
        return new FieldInfo('totalFee','支付金额');
    }
    static get TOTAL_MONEY(): FieldInfo{  
        return new FieldInfo('totalMoney','');
    }
    static get OUT_RECOGNITIONCREDIBILITY(): FieldInfo{  
        return new FieldInfo('outRecognitioncredibility','出场车牌识别可信度');
    }
    static get IN_LPN_TYPE(): FieldInfo{  
        return new FieldInfo('inLpnType','入场车牌类型');
    }
    static get OUT_LPN_TYPE(): FieldInfo{  
        return new FieldInfo('outLpnType','出场车牌类型');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get IN_REASON(): FieldInfo{  
        return new FieldInfo('inReason','入场放行原因');
    }
    static get OUT_REASON(): FieldInfo{  
        return new FieldInfo('outReason','出场放行原因');
    }
    static get IN_PICTURE(): FieldInfo{  
        return new FieldInfo('inPicture','入场图片');
    }
    static get OUT_PICTURE(): FieldInfo{  
        return new FieldInfo('outPicture','出场图片');
    }
    static get PARAM1(): FieldInfo{  
        return new FieldInfo('param1','预留字段1');
    }
    static get PARAM2(): FieldInfo{  
        return new FieldInfo('param2','');
    }
    static get PARAM3(): FieldInfo{  
        return new FieldInfo('param3','');
    }
    static get PARAM4(): FieldInfo{  
        return new FieldInfo('param4','');
    }
    static get FREE_TIME(): FieldInfo{  
        return new FieldInfo('freeTime','');
    }
    static get FREE_MONEY(): FieldInfo{  
        return new FieldInfo('freeMoney','抵扣金额（单位分）');
    }
    static get COME_ATTRIBUTES(): FieldInfo{  
        return new FieldInfo('comeAttributes','');
    }
    static get OUT_ATTRIBUTES(): FieldInfo{  
        return new FieldInfo('outAttributes','');
    }
    static get OUT_CAMERA_ID(): FieldInfo{  
        return new FieldInfo('outCameraId','相机ID');
    }
}


